package com.robot.player.state;

import com.robot.ActionEvent;
import com.robot.Global;
import com.robot.data.Player;
import com.robot.state.StateBase;

/**
 * 玩家重连状态
 * 
 */
public class PlayerReloadState extends StateBase<Player> {
	
	public void execute(Player owner, String cmd, int gid, Object param) {
		switch (cmd) {
			case ActionEvent.EVENT_READY:
				Global.gameCtr.ready(owner);
				break;
			case ActionEvent.EVENT_READY_AND_XIPAI:
				Global.gameCtr.readyAndXipai(owner);
				break;
		}
	}

}
